This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 265661 - Review Request: python-boto - A simple lightweight interface to Amazon Web Services
Review Request: python-boto - A simple lightweight interface to Amazon Web Se...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 265701
  Show dependency treegraph
 
Reported: 2007-08-29 17:51 EDT by Robert Scheck
Modified: 2014-01-21 17:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-31 08:16:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
skvidal: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2007-08-29 17:51:43 EDT
Spec URL: http://labs.linuxnetz.de/bugzilla/python-boto.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/python-boto-0.9b-1.src.rpm
Description: Boto is a Python package that provides interfaces to Amazon Web 
Services. It supports S3 (Simple Storage Service), SQS (Simple Queue Service) 
via the REST API's provided by those services and EC2 (Elastic Compute Cloud) 
via the Query API. The goal of boto is to provide a very simple, easy to use, 
lightweight wrapper around the Amazon services.
Comment 1 Robert Scheck 2007-08-29 17:53:57 EDT
This package is required to update duplicity to 0.4.3, because it's a new
run-time dependency. As Mike is interested in duplicity 0.4.3, he is maybe 
interested in reviewing this requirement, too.
Comment 2 Seth Vidal 2007-08-30 00:10:52 EDT
I see python egg errors when I try to build this page locally:

error: Installed (but unpackaged) file(s) found:
   /usr/lib/python2.5/site-packages/boto-0.9b-py2.5.egg-info/PKG-INFO
   /usr/lib/python2.5/site-packages/boto-0.9b-py2.5.egg-info/SOURCES.txt
   /usr/lib/python2.5/site-packages/boto-0.9b-py2.5.egg-info/dependency_links.txt
   /usr/lib/python2.5/site-packages/boto-0.9b-py2.5.egg-info/top_level.txt


I was trying it w/rpmbuild - I'll give it a whirl with mock in a second, too. I
take it you didn't see this?
Comment 3 Seth Vidal 2007-08-30 00:24:16 EDT
Ah, looks like it is something hosed locally for me. It builds in mock just fine.
Comment 4 Seth Vidal 2007-08-30 00:34:48 EDT
okay - I've checked md5sums, the spec file, the build, now properly under mock
and  rpmlint. Everything that should check out appears to check out.


all the MUSTS that apply to this pkg check out.
Comment 5 Robert Scheck 2007-08-30 06:58:59 EDT
New Package CVS Request
=======================
Package Name: python-boto
Short Description: A simple lightweight interface to Amazon Web Services
Owners: robert
Branches: FC-6 F-7 EL-4 EL-5
InitialCC: 
Cvsextras Commits: No
Comment 6 Jens Petersen 2007-08-30 21:38:51 EDT
done
Comment 7 Robert Scheck 2007-08-31 08:16:25 EDT
36097 (python-boto): Build on target fedora-4-epel succeeded.
36095 (python-boto): Build on target fedora-5-epel succeeded.
36092 (python-boto): Build on target fedora-6-extras succeeded.
Package: python-boto-0.9b-1.fc7 Tag: dist-fc7-updates-candidate Status: 
complete Built by: robert
Package: python-boto-0.9b-1.fc8 Tag: dist-f8 Status: complete Built by: robert

Note You need to log in before you can comment on or make changes to this bug.